import request from '@/utils/request'

// 查询回复列表
export function listDocRecordReply(query) {
  return request({
    url: '/doc/docRecordReply/list',
    method: 'get',
    params: query
  })
}

// 查询回复详细
export function getDocRecordReply(replyId) {
  return request({
    url: '/doc/docRecordReply/' + replyId,
    method: 'get'
  })
}

// 新增回复
export function addDocRecordReply(data) {
  return request({
    url: '/doc/docRecordReply',
    method: 'post',
    data: data
  })
}

// 修改回复
export function updateDocRecordReply(data) {
  return request({
    url: '/doc/docRecordReply',
    method: 'put',
    data: data
  })
}

// 删除回复
export function delDocRecordReply(replyId) {
  return request({
    url: '/doc/docRecordReply/' + replyId,
    method: 'delete'
  })
}

// 导出回复
export function exportDocRecordReply(query) {
  return request({
    url: '/doc/docRecordReply/export',
    method: 'get',
    params: query
  })
}